أول تثبيت - خطأ في إعادة بناء التطبيق

تعذر إعادة بناء التطبيق على جهاز افتراضي، وظهرت لي رسالة الخطأ هذه عند تشغيل ./launcher rebuild app.
هذه هي أول عملية تثبيت لي على هذا الجهاز من Discourse. هل هناك أي فكرة عن كيفية حل هذه المشكلة؟ شكرًا.

FAILED
--------------------
Pups::ExecError: cd /var/www/discourse & sudo -H -E -u discourse bash -c '
  set -o errexit
  if [ $(git rev-parse --is-shallow-repository) == "true" ]; then
      git remote set-branches --add origin main
      git remote set-branches origin tests-passed
      git fetch --depth 1 origin tests-passed
  else
      git fetch --tags --prune-tags --prune --force origin
  fi
' failed with return #<Process::Status: pid 145 exit 128>
Location of failure: /usr/local/lib/ruby/gems/3.2.0/gems/pups-1.2.1/lib/pups/exec_command.rb:132:in `spawn'
exec failed with the params {"cd"=>"$home", "hook"=>"code", "cmd"=>["sudo -H -E -u discourse git reset --hard", "sudo -H -E -u discourse git clean -f", "sudo -H -E -u discourse bash -c '\n  set -o errexit\n  if [ $(git rev-parse --is-shallow-repository) == \"true\" ]; then\n      git remote set-branches --add origin main\n      git remote set-branches origin $version\n      git fetch --depth 1 origin $version\n  else\n      git fetch --tags --prune-tags --prune --force origin\n  fi\n'", "sudo -H -E -u discourse bash -c '\n  set -o errexit\n  if [[ $(git symbolic-ref --short HEAD) == $version ]] ; then\n      git pull\n  else\n      git -c advice.detachedHead=false checkout $version\n  fi\n'", "sudo -H -E -u discourse git config user.discourse-version $version", "mkdir -p tmp", "chown discourse:www-data tmp", "mkdir -p tmp/pids", "mkdir -p tmp/sockets", "touch tmp/.gitkeep", "mkdir -p                    /shared/log/rails", "bash -c \"touch -a           /shared/log/rails/{production,production_errors,unicorn.stdout,unicorn.stderr,sidekiq}.log\"", "bash -c \"ln    -s           /shared/log/rails/{production,production_errors,unicorn.stdout,unicorn.stderr,sidekiq}.log $home/log\"", "bash -c \"mkdir -p           /shared/{uploads,backups}\"", "bash -c \"ln    -s           /shared/{uploads,backups} $home/public\"", "bash -c \"mkdir -p           /shared/tmp/{backups,restores}\"", "bash -c \"ln    -s           /shared/tmp/{backups,restores} $home/tmp\"", "chown -R discourse:www-data /shared/log/rails /shared/uploads /shared/backups /shared/tmp", "[ ! -d public/plugins ] || find public/plugins/ -maxdepth 1 -xtype l -delete"]}.
bootstrap failed with exit code 128
** FAILED TO BOOTSTRAP ** please scroll up and look for earlier error messages, there may be more than one.
./discourse-doctor may help diagnose the problem.
cccd258fa1982eed2b6c739bbddfe034ff3daa43b838b89fa1b0237b7804664b6

هل يمكنك التمرير لأعلى والتحقق من وجود رسائل خطأ؟ (أو قم بلصق سجلاتك هنا حتى نتمكن من إلقاء نظرة عليها :slight_smile:)

إليك السجل :wink:


تم اكتشاف معمارية x86_64.
جاري التأكد من أن برنامج التشغيل محدث
جاري جلب الأصل
برنامج التشغيل محدث
2.0.20231218-0429: جاري السحب من discourse/base
الخلاصة: sha256:468f70b9bb4c6d0c6c2bbb3efc1a5e12d145eae57bdb6946b7fe5558beb52dc1
الحالة: الصورة محدثة لـ discourse/base:2.0.20231218-0429
docker.io/discourse/base:2.0.20231218-0429
/usr/local/lib/ruby/gems/3.2.0/gems/pups-1.2.1/lib/pups.rb
/usr/local/bin/pups --stdin
I, [2024-02-13T15:53:16.246900 #1]  INFO -- : جاري القراءة من stdin
I, [2024-02-13T15:53:16.252696 #1]  INFO -- : > locale-gen $LANG && update-locale
I, [2024-02-13T15:53:16.307073 #1]  INFO -- : جاري توليد اللغات (قد يستغرق هذا بعض الوقت)...
تم اكتمال التوليد.

I, [2024-02-13T15:53:16.307607 #1]  INFO -- : > mkdir -p /shared/postgres_run
I, [2024-02-13T15:53:16.312121 #1]  INFO -- : 
I, [2024-02-13T15:53:16.312587 #1]  INFO -- : > chown postgres:postgres /shared/postgres_run
I, [2024-02-13T15:53:16.315121 #1]  INFO -- : 
I, [2024-02-13T15:53:16.315619 #1]  INFO -- : > chmod 775 /shared/postgres_run
I, [2024-02-13T15:53:16.323987 #1]  INFO -- : 
I, [2024-02-13T15:53:16.326378 #1]  INFO -- : > rm -fr /var/run/postgresql
I, [2024-02-13T15:53:16.328988 #1]  INFO -- : 
I, [2024-02-13T15:53:16.329854 #1]  INFO -- : > ln -s /shared/postgres_run /var/run/postgresql
I, [2024-02-13T15:53:16.332078 #1]  INFO -- : 
I, [2024-02-13T15:53:16.332521 #1]  INFO -- : > socat /dev/null UNIX-CONNECT:/shared/postgres_run/.s.PGSQL.5432 || exit 0 && echo postgres is already running, stop container ; exit 1
2024/02/13 15:53:16 socat[18] E connect(6, AF=1 "/shared/postgres_run/.s.PGSQL.5432", 36): لا يوجد ملف أو دليل
I, [2024-02-13T15:53:16.339840 #1]  INFO -- : 
I, [2024-02-13T15:53:16.340132 #1]  INFO -- : > rm -fr /shared/postgres_run/.s*
I, [2024-02-13T15:53:16.343461 #1]  INFO -- : 
I, [2024-02-13T15:53:16.343731 #1]  INFO -- : > rm -fr /shared/postgres_run/*.pid
I, [2024-02-13T15:53:16.346843 #1]  INFO -- : 
I, [2024-02-13T15:53:16.347206 #1]  INFO -- : > mkdir -p /shared/postgres_run/13-main.pg_stat_tmp
I, [2024-02-13T15:53:16.349608 #1]  INFO -- : 
I, [2024-02-13T15:53:16.350691 #1]  INFO -- : > chown postgres:postgres /shared/postgres_run/13-main.pg_stat_tmp
I, [2024-02-13T15:53:16.353506 #1]  INFO -- : 
I, [2024-02-13T15:53:16.359494 #1]  INFO -- : ملف > /etc/service/postgres/run  chmod: +x  chown: 
I, [2024-02-13T15:53:16.365375 #1]  INFO -- : ملف > /etc/service/postgres/log/run  chmod: +x  chown: 
I, [2024-02-13T15:53:16.372107 #1]  INFO -- : ملف > /etc/runit/3.d/99-postgres  chmod: +x  chown: 
I, [2024-02-13T15:53:16.377498 #1]  INFO -- : ملف > /root/upgrade_postgres  chmod: +x  chown: 
I, [2024-02-13T15:53:16.378862 #1]  INFO -- : > chown -R root /var/lib/postgresql/13/main
I, [2024-02-13T15:53:16.692303 #1]  INFO -- : 
I, [2024-02-13T15:53:16.692963 #1]  INFO -- : > [ ! -e /shared/postgres_data ] && install -d -m 0755 -o postgres -g postgres /shared/postgres_data && sudo -E -u postgres /usr/lib/postgresql/13/bin/initdb -D /shared/postgres_data || exit 0
I, [2024-02-13T15:53:16.695477 #1]  INFO -- : 
I, [2024-02-13T15:53:16.695574 #1]  INFO -- : > chown -R postgres:postgres /shared/postgres_data
I, [2024-02-13T15:53:16.704179 #1]  INFO -- : 
I, [2024-02-13T15:53:16.704482 #1]  INFO -- : > chown -R postgres:postgres /var/run/postgresql
I, [2024-02-13T15:53:16.706831 #1]  INFO -- : 
I, [2024-02-13T15:53:16.707180 #1]  INFO -- : > /root/upgrade_postgres
I, [2024-02-13T15:53:16.711599 #1]  INFO -- : 
I, [2024-02-13T15:53:16.711931 #1]  INFO -- : > rm /root/upgrade_postgres
I, [2024-02-13T15:53:16.713969 #1]  INFO -- : 
I, [2024-02-13T15:53:16.714387 #1]  INFO -- : استبدال data_directory = '/var/lib/postgresql/13/main' بـ data_directory = '/shared/postgres_data' في /etc/postgresql/13/main/postgresql.conf
I, [2024-02-13T15:53:16.715157 #1]  INFO -- : استبدال (?-mix:#?listen_addresses *=.*) بـ listen_addresses = '*' في /etc/postgresql/13/main/postgresql.conf
I, [2024-02-13T15:53:16.715649 #1]  INFO -- : استبدال (?-mix:#?synchronous_commit *=.*) بـ synchronous_commit = $db_synchronous_commit في /etc/postgresql/13/main/postgresql.conf
I, [2024-02-13T15:53:16.716152 #1]  INFO -- : استبدال (?-mix:#?shared_buffers *=.*) بـ shared_buffers = $db_shared_buffers في /etc/postgresql/13/main/postgresql.conf
I, [2024-02-13T15:53:16.716594 #1]  INFO -- : استبدال (?-mix:#?work_mem *=.*) بـ work_mem = $db_work_mem في /etc/postgresql/13/main/postgresql.conf
I, [2024-02-13T15:53:16.717080 #1]  INFO -- : استبدال (?-mix:#?default_text_search_config *=.*) بـ default_text_search_config = '$db_default_text_search_config' في /etc/postgresql/13/main/postgresql.conf
I, [2024-02-13T15:53:16.717514 #1]  INFO -- : > install -d -m 0755 -o postgres -g postgres /shared/postgres_backup
I, [2024-02-13T15:53:16.720690 #1]  INFO -- : 
I, [2024-02-13T15:53:16.721061 #1]  INFO -- : استبدال (?-mix:#?checkpoint_segments *=.*) بـ checkpoint_segments = $db_checkpoint_segments في /etc/postgresql/13/main/postgresql.conf
I, [2024-02-13T15:53:16.721587 #1]  INFO -- : استبدال (?-mix:#?logging_collector *=.*) بـ logging_collector = $db_logging_collector في /etc/postgresql/13/main/postgresql.conf
I, [2024-02-13T15:53:16.722115 #1]  INFO -- : استبدال (?-mix:#?log_min_duration_statement *=.*) بـ log_min_duration_statement = $db_log_min_duration_statement في /etc/postgresql/13/main/postgresql.conf
I, [2024-02-13T15:53:16.722611 #1]  INFO -- : استبدال (?-mix:^#local +replication +postgres +peer$) بـ local replication postgres  peer في /etc/postgresql/13/main/pg_hba.conf
I, [2024-02-13T15:53:16.723120 #1]  INFO -- : استبدال (?-mix:^host.*all.*all.*127.*$) بـ host all all 0.0.0.0/0 md5 في /etc/postgresql/13/main/pg_hba.conf
I, [2024-02-13T15:53:16.723600 #1]  INFO -- : استبدال (?-mix:^host.*all.*all.*::1\/128.*$) بـ host all all ::/0 md5 في /etc/postgresql/13/main/pg_hba.conf
I, [2024-02-13T15:53:16.724000 #1]  INFO -- : > HOME=/var/lib/postgresql USER=postgres exec chpst -u postgres:postgres:ssl-cert -U postgres:postgres:ssl-cert /usr/lib/postgresql/13/bin/postmaster -D /etc/postgresql/13/main
I, [2024-02-13T15:53:16.725519 #1]  INFO -- : > sleep 5
2024-02-13 15:53:16.781 UTC [41] LOG:  جاري بدء تشغيل PostgreSQL 13.13 (Debian 13.13-1.pgdg110+1) على x86_64-pc-linux-gnu، تم التجميع بواسطة gcc (Debian 10.2.1-6) 10.2.1 20210110، 64-bit
2024-02-13 15:53:16.781 UTC [41] LOG:  الاستماع على عنوان IPv4 "0.0.0.0"، المنفذ 5432
2024-02-13 15:53:16.781 UTC [41] LOG:  الاستماع على عنوان IPv6 "::"، المنفذ 5432
2024-02-13 15:53:16.782 UTC [41] LOG:  الاستماع على مأخذ Unix "/var/run/postgresql/.s.PGSQL.5432"
2024-02-13 15:53:16.785 UTC [44] LOG:  تم إيقاف نظام قاعدة البيانات في 2024-02-13 15:48:24 UTC
2024-02-13 15:53:16.789 UTC [41] LOG:  نظام قاعدة البيانات جاهز لقبول الاتصالات
I, [2024-02-13T15:53:21.727896 #1]  INFO -- : 
I, [2024-02-13T15:53:21.728111 #1]  INFO -- : > su postgres -c 'createdb discourse' || true
2024-02-13 15:53:21.776 UTC [54] postgres@postgres ERROR:  قاعدة البيانات "discourse" موجودة بالفعل
2024-02-13 15:53:21.776 UTC [54] postgres@postgres STATEMENT:  CREATE DATABASE discourse;
createdb: خطأ: فشل إنشاء قاعدة البيانات: خطأ: قاعدة البيانات "discourse" موجودة بالفعل
I, [2024-02-13T15:53:21.778723 #1]  INFO -- : 
I, [2024-02-13T15:53:21.779150 #1]  INFO -- : > su postgres -c 'psql discourse -c "create user discourse;"' || true
2024-02-13 15:53:21.826 UTC [58] postgres@discourse ERROR:  الدور "discourse" موجود بالفعل
2024-02-13 15:53:21.826 UTC [58] postgres@discourse STATEMENT:  create user discourse;
ERROR:  الدور "discourse" موجود بالفعل
I, [2024-02-13T15:53:21.828690 #1]  INFO -- : 
I, [2024-02-13T15:53:21.829194 #1]  INFO -- : > su postgres -c 'psql discourse -c "grant all privileges on database discourse to discourse;"' || true
I, [2024-02-13T15:53:21.877296 #1]  INFO -- : GRANT

I, [2024-02-13T15:53:21.877827 #1]  INFO -- : > su postgres -c 'psql discourse -c "alter schema public owner to discourse;"'
I, [2024-02-13T15:53:21.923831 #1]  INFO -- : ALTER SCHEMA

I, [2024-02-13T15:53:21.924354 #1]  INFO -- : > su postgres -c 'psql template1 -c "create extension if not exists hstore;"'
NOTICE:  الامتداد "hstore" موجود بالفعل، يتم التجاوز
I, [2024-02-13T15:53:21.973321 #1]  INFO -- : CREATE EXTENSION

I, [2024-02-13T15:53:21.973764 #1]  INFO -- : > su postgres -c 'psql template1 -c "create extension if not exists pg_trgm;"'
NOTICE:  الامتداد "pg_trgm" موجود بالفعل، يتم التجاوز
I, [2024-02-13T15:53:22.020006 #1]  INFO -- : CREATE EXTENSION

I, [2024-02-13T15:53:22.020399 #1]  INFO -- : > su postgres -c 'psql template1 -c "create extension if not exists vector;"'
NOTICE:  الامتداد "vector" موجود بالفعل، يتم التجاوز
I, [2024-02-13T15:53:22.066198 #1]  INFO -- : CREATE EXTENSION

I, [2024-02-13T15:53:22.066595 #1]  INFO -- : > su postgres -c 'psql discourse -c "create extension if not exists hstore;"'
NOTICE:  الامتداد "hstore" موجود بالفعل، يتم التجاوز
I, [2024-02-13T15:53:22.113659 #1]  INFO -- : CREATE EXTENSION

I, [2024-02-13T15:53:22.114161 #1]  INFO -- : > su postgres -c 'psql discourse -c "create extension if not exists pg_trgm;"'
NOTICE:  الامتداد "pg_trgm" موجود بالفعل، يتم التجاوز
I, [2024-02-13T15:53:22.160614 #1]  INFO -- : CREATE EXTENSION

I, [2024-02-13T15:53:22.161045 #1]  INFO -- : > su postgres -c 'psql discourse -c "create extension if not exists vector;"'
NOTICE:  الامتداد "vector" موجود بالفعل، يتم التجاوز
I, [2024-02-13T15:53:22.207237 #1]  INFO -- : CREATE EXTENSION

I, [2024-02-13T15:53:22.207679 #1]  INFO -- : > sudo -u postgres psql discourse
I, [2024-02-13T15:53:22.209671 #1]  INFO -- : update pg_database set encoding = pg_char_to_encoding('UTF8') where datname = 'discourse' AND encoding = pg_char_to_encoding('SQL_ASCII');

I, [2024-02-13T15:53:22.261951 #1]  INFO -- : ملف > /var/lib/postgresql/take-database-backup  chmod: +x  chown: postgres:postgres
I, [2024-02-13T15:53:22.264984 #1]  INFO -- : ملف > /var/spool/cron/crontabs/postgres  chmod:   chown: 
I, [2024-02-13T15:53:22.265327 #1]  INFO -- : > echo postgres installed!
I, [2024-02-13T15:53:22.267453 #1]  INFO -- : تم تثبيت postgres!

I, [2024-02-13T15:53:22.272193 #1]  INFO -- : ملف > /etc/service/redis/run  chmod: +x  chown: 
I, [2024-02-13T15:53:22.276936 #1]  INFO -- : ملف > /etc/service/redis/log/run  chmod: +x  chown: 
I, [2024-02-13T15:53:22.281502 #1]  INFO -- : ملف > /etc/runit/3.d/10-redis  chmod: +x  chown: 
I, [2024-02-13T15:53:22.282039 #1]  INFO -- : استبدال daemonize yes بـ  في /etc/redis/redis.conf
I, [2024-02-13T15:53:22.282826 #1]  INFO -- : استبدال (?-mix:^pidfile.*$) بـ  في /etc/redis/redis.conf
I, [2024-02-13T15:53:22.283472 #1]  INFO -- : > install -d -m 0755 -o redis -g redis /shared/redis_data
I, [2024-02-13T15:53:22.286162 #1]  INFO -- : 
I, [2024-02-13T15:53:22.286601 #1]  INFO -- : استبدال (?-mix:^logfile.*$) بـ logfile "" في /etc/redis/redis.conf
I, [2024-02-13T15:53:22.287267 #1]  INFO -- : استبدال (?-mix:^bind .*$) بـ  في /etc/redis/redis.conf
I, [2024-02-13T15:53:22.287960 #1]  INFO -- : استبدال (?-mix:^dir .*$) بـ dir /shared/redis_data في /etc/redis/redis.conf
I, [2024-02-13T15:53:22.288617 #1]  INFO -- : استبدال (?-mix:^protected-mode yes) بـ protected-mode no في /etc/redis/redis.conf
I, [2024-02-13T15:53:22.289234 #1]  INFO -- : استبدال # io-threads 4 بـ io-threads $redis_io_threads في /etc/redis/redis.conf
I, [2024-02-13T15:53:22.289926 #1]  INFO -- : > echo redis installed
I, [2024-02-13T15:53:22.292006 #1]  INFO -- : تم تثبيت redis

I, [2024-02-13T15:53:22.292329 #1]  INFO -- : > cat /etc/redis/redis.conf | grep logfile
I, [2024-02-13T15:53:22.295949 #1]  INFO -- : logfile ""

I, [2024-02-13T15:53:22.296274 #1]  INFO -- : > exec chpst -u redis -U redis /usr/bin/redis-server /etc/redis/redis.conf
I, [2024-02-13T15:53:22.297844 #1]  INFO -- : > sleep 10
110:C 13 Feb 2024 15:53:22.304 # oO0OoO0OoO0Oo Redis is starting oO0OoO0OoO0Oo
110:C 13 Feb 2024 15:53:22.304 # Redis version=7.0.7, bits=64, commit=00000000, modified=0, pid=110, just started
110:C 13 Feb 2024 15:53:22.304 # Configuration loaded
110:M 13 Feb 2024 15:53:22.304 * monotonic clock: POSIX clock_gettime
110:M 13 Feb 2024 15:53:22.305 * Running mode=standalone, port=6379.
110:M 13 Feb 2024 15:53:22.305 # Server initialized
110:M 13 Feb 2024 15:53:22.305 # WARNING Memory overcommit must be enabled! Without it, a background save or replication may fail under low memory condition. Being disabled, it can can also cause failures without low memory condition, see https://github.com/jemalloc/jemalloc/issues/1328. To fix this issue add 'vm.overcommit_memory = 1' to /etc/sysctl.conf and then reboot or run the command 'sysctl vm.overcommit_memory=1' for this to take effect.
110:M 13 Feb 2024 15:53:22.306 * Loading RDB produced by version 7.0.7
110:M 13 Feb 2024 15:53:22.306 * RDB age 298 seconds
110:M 13 Feb 2024 15:53:22.306 * RDB memory usage when created 0.82 Mb
110:M 13 Feb 2024 15:53:22.306 * Done loading RDB, keys loaded: 0, keys expired: 0.
110:M 13 Feb 2024 15:53:22.306 * DB loaded from disk: 0.000 seconds
110:M 13 Feb 2024 15:53:22.306 * Ready to accept connections
I, [2024-02-13T15:53:32.300210 #1]  INFO -- : 
I, [2024-02-13T15:53:32.300803 #1]  INFO -- : > thpoff echo "thpoff is installed!"
I, [2024-02-13T15:53:32.304805 #1]  INFO -- : تم تثبيت thpoff!

I, [2024-02-13T15:53:32.304942 #1]  INFO -- : > /usr/local/bin/ruby -e 'if ENV["DISCOURSE_SMTP_ADDRESS"] == "smtp.example.com"; puts "Aborting! Mail is not configured!"; exit 1; end'
I, [2024-02-13T15:53:32.368184 #1]  INFO -- : 
I, [2024-02-13T15:53:32.368695 #1]  INFO -- : > /usr/local/bin/ruby -e 'if ENV["DISCOURSE_HOSTNAME"] == "discourse.example.com"; puts "Aborting! Domain is not configured!"; exit 1; end'
I, [2024-02-13T15:53:32.434552 #1]  INFO -- : 
I, [2024-02-13T15:53:32.434724 #1]  INFO -- : > /usr/local/bin/ruby -e 'if (ENV["DISCOURSE_CDN_URL"] || "")[0..1] == "//"; puts "Aborting! CDN must have a protocol specified. Once fixed you should rebake your posts now to correct all posts."; exit 1; end'
I, [2024-02-13T15:53:32.498595 #1]  INFO -- : 
I, [2024-02-13T15:53:32.499227 #1]  INFO -- : > rm -f /etc/cron.d/anacron
I, [2024-02-13T15:53:32.501910 #1]  INFO -- : 
I, [2024-02-13T15:53:32.505124 #1]  INFO -- : ملف > /etc/cron.d/anacron  chmod:   chown: 
I, [2024-02-13T15:53:32.510067 #1]  INFO -- : ملف > /etc/runit/1.d/copy-env  chmod: +x  chown: 
I, [2024-02-13T15:53:32.514952 #1]  INFO -- : ملف > /etc/service/unicorn/run  chmod: +x  chown: 
I, [2024-02-13T15:53:32.519761 #1]  INFO -- : ملف > /etc/service/nginx/run  chmod: +x  chown: 
I, [2024-02-13T15:53:32.524574 #1]  INFO -- : ملف > /etc/runit/3.d/01-nginx  chmod: +x  chown: 
I, [2024-02-13T15:53:32.529357 #1]  INFO -- : ملف > /etc/runit/3.d/02-unicorn  chmod: +x  chown: 
I, [2024-02-13T15:53:32.529698 #1]  INFO -- : استبدال # postgres بـ sv start postgres || exit 1 في /etc/service/unicorn/run
I, [2024-02-13T15:53:32.530197 #1]  INFO -- : > exec chpst -u redis -U redis /usr/bin/redis-server /etc/redis/redis.conf
I, [2024-02-13T15:53:32.532289 #1]  INFO -- : > cd /var/www/discourse && sudo -H -E -u discourse git reset --hard
137:C 13 Feb 2024 15:53:32.538 # oO0OoO0OoO0Oo Redis is starting oO0OoO0OoO0Oo
137:C 13 Feb 2024 15:53:32.538 # Redis version=7.0.7, bits=64, commit=00000000, modified=0, pid=137, just started
137:C 13 Feb 2024 15:53:32.538 # Configuration loaded
137:M 13 Feb 2024 15:53:32.539 * monotonic clock: POSIX clock_gettime
137:M 13 Feb 2024 15:53:32.539 # Warning: Could not create server TCP listening socket *:6379: bind: Address already in use
137:M 13 Feb 2024 15:53:32.539 # Failed listening on port 6379 (TCP), aborting.
Updating files: 100% (33715/33715), done.
I, [2024-02-13T15:53:35.419705 #1]  INFO -- : HEAD is now at 6ab1a19e9 DEV: Convert min_trust_level_to_allow_invite to groups (#24893)

I, [2024-02-13T15:53:35.420216 #1]  INFO -- : > cd /var/www/discourse && sudo -H -E -u discourse git clean -f
I, [2024-02-13T15:53:35.560612 #1]  INFO -- : 
I, [2024-02-13T15:53:35.561174 #1]  INFO -- : > cd /var/www/discourse && sudo -H -E -u discourse bash -c '
  set -o errexit
  if [ $(git rev-parse --is-shallow-repository) == "true" ]; then
      git remote set-branches --add origin main
      git remote set-branches origin tests-passed
      git fetch --depth 1 origin tests-passed
  else
      git fetch --tags --prune-tags --prune --force origin
  fi
'
fatal: unable to access 'https://github.com/discourse/discourse.git/': Could not resolve host: github.com
I, [2024-02-13T15:53:35.598327 #1]  INFO -- : 
I, [2024-02-13T15:53:35.598890 #1]  INFO -- : Terminating async processes
I, [2024-02-13T15:53:35.599177 #1]  INFO -- : Sending INT to HOME=/var/lib/postgresql USER=postgres exec chpst -u postgres:postgres:ssl-cert -U postgres:postgres:ssl-cert /usr/lib/postgresql/13/bin/postmaster -D /etc/postgresql/13/main pid: 41
2024-02-13 15:53:35.599 UTC [41] LOG:  received fast shutdown request
I, [2024-02-13T15:53:35.599227 #1]  INFO -- : Sending TERM to exec chpst -u redis -U redis /usr/bin/redis-server /etc/redis/redis.conf pid: 110
110:signal-handler (1707839615) Received SIGTERM scheduling shutdown...
2024-02-13 15:53:35.601 UTC [41] LOG:  aborting any active transactions
2024-02-13 15:53:35.604 UTC [41] LOG:  background worker "logical replication launcher" (PID 50) exited with exit code 1
2024-02-13 15:53:35.606 UTC [45] LOG:  shutting down
2024-02-13 15:53:35.624 UTC [41] LOG:  database system is shut down
110:M 13 Feb 2024 15:53:35.636 # User requested shutdown...
110:M 13 Feb 2024 15:53:35.636 * Saving the final RDB snapshot before exiting.
110:M 13 Feb 2024 15:53:35.637 * DB saved on disk
110:M 13 Feb 2024 15:53:35.637 # Redis is now ready to exit, bye bye...


FAILED
--------------------
Pups::ExecError: cd /var/www/discourse && sudo -H -E -u discourse bash -c '
  set -o errexit
  if [ $(git rev-parse --is-shallow-repository) == "true" ]; then
      git remote set-branches --add origin main
      git remote set-branches origin tests-passed
      git fetch --depth 1 origin tests-passed
  else
      git fetch --tags --prune-tags --prune --force origin
  fi
' failed with return #<Process::Status: pid 145 exit 128>
Location of failure: /usr/local/lib/ruby/gems/3.2.0/gems/pups-1.2.1/lib/pups/exec_command.rb:132:in `spawn'
exec failed with the params {"cd"=>"$home", "hook"=>"code", "cmd"=>["sudo -H -E -u discourse git reset --hard", "sudo -H -E -u discourse git clean -f", "sudo -H -E -u discourse bash -c '\n  set -o errexit\n  if [ $(git rev-parse --is-shallow-repository) == \"true\" ]; then\n      git remote set-branches --add origin main\n      git remote set-branches origin $version\n      git fetch --depth 1 origin $version\n  else\n      git fetch --tags --prune-tags --prune --force origin\n  fi\n'", "sudo -H -E -u discourse bash -c '\n  set -o errexit\n  if [[ $(git symbolic-ref --short HEAD) == $version ]] ; then\n      git pull\n  else\n      git -c advice.detachedHead=false checkout $version\n  fi\n'", "sudo -H -E -u discourse git config user.discourse-version $version", "mkdir -p tmp", "chown discourse:www-data tmp", "mkdir -p tmp/pids", "mkdir -p tmp/sockets", "touch tmp/.gitkeep", "mkdir -p                    /shared/log/rails", "bash -c \"touch -a           /shared/log/rails/{production,production_errors,unicorn.stdout,unicorn.stderr,sidekiq}.log\"", "bash -c \"ln    -s           /shared/log/rails/{production,production_errors,unicorn.stdout,unicorn.stderr,sidekiq}.log $home/log\"", "bash -c \"mkdir -p           /shared/{uploads,backups}\"", "bash -c \"ln    -s           /shared/{uploads,backups} $home/public\"", "bash -c \"mkdir -p           /shared/tmp/{backups,restores}\"", "bash -c \"ln    -s           /shared/tmp/{backups,restores} $home/tmp\"", "chown -R discourse:www-data /shared/log/rails /shared/uploads /shared/backups /shared/tmp", "[ ! -d public/plugins ] || find public/plugins/ -maxdepth 1 -xtype l -delete"]}
bootstrap failed with exit code 128
** FAILED TO BOOTSTRAP ** please scroll up and look for earlier error messages, there may be more than one.
./discourse-doctor may help diagnose the problem.
ccd258fa1982eed2b6c739bbddfe034ff3daa43b838b89fa1b0237b7804664b6

هذا. لديك مشكلة في نظام أسماء النطاقات (DNS). هل هذا تثبيت قياسي؟ هل لديه وصول كافٍ إلى الإنترنت؟

هذا تثبيت قياسي. لقد حددت عنوان VIP discourse-xxx-xxx@xxx.fr وأستخدمه كـ DNS.

سأتحقق من الوصول إلى الإنترنت ولكن تم تنزيل صور discourse السابقة دون مشاكل … سأتحقق من ذلك وسأعلمك.

إذا كانت لديك أي توصيات باستخدام عنوان VIP، فلا تتردد في إخباري.

هل يمكنك dig github.com @<عنوان IP الخاص بـ DNS الخاص بك> من داخل Docker؟

إذا كان الخادم الخاص بك موجودًا في الصين أو في أي مكان آخر به وصول محمي بجدار ناري، فمن المحتمل جدًا أن يكون الوصول إلى خدمات الإنترنت المختلفة غير موثوق به.

ليس في الصين ولكن في فرنسا. أعتقد أن هناك وصولاً إلى جدار الحماية أو قيودًا على طلبات الإنترنت. سأكتشف ذلك. شكراً.

تم حل المشكلة، لقد كان خطأ في تكوين الوكيل.